%{?mingw_package_header}

%global pkgname vulkan-headers
%global srcname Vulkan-Headers

Name:          mingw-%{pkgname}
Version:       1.3.250.1
Release:    1%{?dist}
Summary:       MinGW Windows %{pkgname}

License:       Apache-2.0
BuildArch:     noarch
URL:           https://github.com/KhronosGroup/%{srcname}
Source0:       https://github.com/KhronosGroup/%{srcname}/archive/sdk-%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: make
BuildRequires: cmake

BuildRequires: mingw32-filesystem
BuildRequires: mingw32-gcc

BuildRequires: mingw64-filesystem
BuildRequires: mingw64-gcc


%description
MinGW Windows %{pkgname}


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows %{pkgname}

%description -n mingw32-%{pkgname}
MinGW Windows %{pkgname}.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows %{pkgname}

%description -n mingw64-%{pkgname}
MinGW Windows %{pkgname}.


%prep
%autosetup -p1 -n %{srcname}-sdk-%{version}


%build
%mingw_cmake
%mingw_make_build


%install
%mingw_make_install


%files -n mingw32-%{pkgname}
%license LICENSE.txt
%{mingw32_includedir}/vulkan/
%{mingw32_includedir}/vk_video/
%{mingw32_datadir}/cmake/VulkanHeaders/
%{mingw32_datadir}/vulkan/

%files -n mingw64-%{pkgname}
%license LICENSE.txt
%{mingw64_includedir}/vulkan/
%{mingw64_includedir}/vk_video/
%{mingw64_datadir}/cmake/VulkanHeaders/
%{mingw64_datadir}/vulkan/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.250.1-1
- initial build
